> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/fr/actions/workflow-concepts/run-once/trigger/incoming-webhook.md).

# Déclencheur webhook entrant

Déclenchez un workflow avec un webhook entrant

## Comment déclencher votre workflow avec un webhook entrant

### 1. Créez un workflow avec une entrée JSON

Pour déclencher un workflow avec un webhook entrant, vous devez d'abord vous assurer que votre workflow comporte une valeur d'entrée JSON :

{% @arcade/embed url="<https://app.arcade.software/share/c3phBccxDiEZkJjtHpvB>" flowId="c3phBccxDiEZkJjtHpvB" %}

### 2. Publiez votre workflow

Ensuite, publiez votre workflow en cliquant **Publier** sur Workflow dans le coin supérieur droit de Workflow Studio.

### 3. Configurez l'URL du webhook

Configurez maintenant votre URL de webhook avec votre [UUID de l'application et clé API](/docs/fr/actions/workflow-concepts/run-once/api.md):

```bash
curl --request POST \
     --url 'https://app.airops.com/public_api/airops_apps/YOUR_APP_UUID/webhook_async_execute?auth_token=YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "custom_parameter": "Valeur personnalisée"
}
'
```

Vous pouvez maintenant tester votre API en exécutant l'appel dans Postman ou dans votre terminal. Vous devriez voir une réponse 200, que vous pourrez ensuite valider dans l'onglet « Historique » du workflow.

Une fois que vous avez confirmé que le workflow s'est exécuté avec succès, vous pouvez copier-coller l'URL de webhook obtenue dans votre service externe. L'URL ressemblera à ceci :

```url
https://app.airops.com/public_api/airops_apps/a3cb8474-9ec1-4052-8c54-7cbcb7a4c846/webhook_async_execute?auth_token=your_workspace_token
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/fr/actions/workflow-concepts/run-once/trigger/incoming-webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
